using System;
using System.Threading.Tasks;
using communicate_rental_backend_dev.Models.Database;

namespace communicate_rental_backend_dev.BusinessLogic.Services
{
    public interface IFunctionAppService
    {
        Task Allocate(AllocationPeriod allocationPeriod);
        Task AllocateRentals(DateTime today);
        Task SendDeadlineReminders(AllocationPeriod allocationPeriod);
        Task UpdateAllocationPeriods(DateTime today);
        Task UpdateHolidays(DateTime today);
        Task UpdateUserPoints(DateTime today);
        Task MoveBookingsToBlobOrSendChecklistReminder(DateTime today);
        Task SendListOfBookingsForMonth(DateTime today);
    }
}