using communicate_rental_backend_dev.Models.Database;
using communicate_rental_backend_dev.Models.DataReceiving;
using communicate_rental_backend_dev.Models.DataTransfer;
using System.Collections.Generic;

namespace communicate_rental_backend_dev.Mappers
{
    public interface IRentalObjectMapper 
    {
        RentalObjectDTO Map(RentalObject rentalObject, IEnumerable<string> imageURLs);
        RentalObject Map(RentalObjectDRO rentalObjectDRO, string url);
    }
}