using System;
using communicate_rental_backend_dev.Models.Common;

namespace communicate_rental_backend_dev.Models.DataTransfer
{
    public class RentalObjectDTO
    {
        public string EnglishTitle { get; set; }
        public string Title { get; set; }
        public int Bedrooms { get; set; }
        public int Beds { get; set; }
        public int Sleeps { get; set; }
        public string Description { get; set; }
        public string Address { get; set; }
        public bool PetsAllowed { get; set; }
        public bool SmokingAllowed { get; set; }
        public string[] OtherRules { get; set; }
        public string[] CheckList { get; set; }
        public string CardPicture { get; set; }
        public string[] Pictures { get; set;}
        public AllocationPeriodDTO[] AllocationPeriods { get; set; }
        public int ApplicationLimit { get; set; } 
        public PeriodPrice[] PeriodPrices { get; set; }
        public int[] DisabledDays { get; set; }
        public string RentalPeriodsInnDay { get; set; }
        public TimeSpan RentalPeriodsInnTime { get; set; }
        public string RentalPeriodsOutDay { get; set;}
        public TimeSpan RentalPeriodsOutTime { get; set; }
        public string[] RentalPeriods { get; set; }
        public BeforeYouTravel[] BeforeYouTravel { get; set; }
        public string Latitude { get; set; }
        public string Longtitude { get; set; }
         public string FireResponsible { get; set; }
        public string FireTestResponsible { get; set; }
        public string[] FireAlarm { get; set; }
        public string FireAlarmNoFireInstructions { get; set; }
        public string FireDepartmentNumber { get; set; }
        public string FireEquipment { get; set; }
        public string Equipment { get; set; }
        public string Directions { get; set; }
        public string OtherPractialInformation { get; set; }
    }
}