using communicate_rental_backend_dev.Models.Database;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace communicate_rental_backend_dev
{
    public interface IChecklistRepository
    {
        Task<Checklist> GetChecklist(string checklistId);
        Task<IEnumerable<Checklist>> GetAll();
        Task<IEnumerable<Checklist>> GetByBookingId(string bookingId);
        Task Add(Checklist checklist);
        Task Delete(string id);
    }
}