using communicate_rental_backend_dev.Models.Database;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace communicate_rental_backend_dev
{
    public interface IUserRepository
    {
        Task<User> GetById(string userId);
        Task<IEnumerable<User>> GetAll();
        Task<IActionResult> Upload(User user);
        Task<bool> Delete(string id);
        Task<IEnumerable<User>> GetUsersHiredToday(DateTime today);
    }
}