import {
  HttpClientTestingModule,
  HttpTestingController,
} from '@angular/common/http/testing';
import { TestBed } from '@angular/core/testing';

import { ChecklistService } from './checklist.service';
import { HttpService } from './http.service';

describe('ChecklistService', () => {
  let service: ChecklistService;
  let httpMock: HttpTestingController;
  let httpClient: HttpClientTestingModule;
  const httpServiceSpy = jasmine.createSpyObj('httpService', [
    'get',
    'delete',
    'post',
  ]);

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      providers: [
        ChecklistService,
        { provide: HttpService, useValue: httpServiceSpy },
      ],
    }).compileComponents();

    service = TestBed.inject(ChecklistService);
    httpMock = TestBed.inject(HttpTestingController);
    httpClient = TestBed.inject(HttpClientTestingModule);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
