import { HttpClient } from '@angular/common/http';
import {
  HttpClientTestingModule,
  HttpTestingController,
} from '@angular/common/http/testing';
import { of } from 'rxjs';
import { TestBed } from '@angular/core/testing';

import { HttpService } from './http.service';
import { UserService } from './user.service';
import { GraphUser, SingleDbUser } from '../models/user.model';

describe('UserService', () => {
  let service: UserService;
  let httpMock: HttpTestingController;
  let httpClient: HttpClientTestingModule;
  const httpServiceSpy = jasmine.createSpyObj('httpService', ['get', 'post']);

  const userStorageTestPost: SingleDbUser = {
    id: '1',
    points: 1,
    hiredDate: new Date('2020-08-01'),
    isAdmin: false,
  };

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      providers: [
        UserService,
        { provide: HttpService, useValue: httpServiceSpy },
      ],
    }).compileComponents();

    service = TestBed.inject(UserService);
    httpMock = TestBed.inject(HttpTestingController);
    httpClient = TestBed.inject(HttpClientTestingModule);
  });

  it('should create an observable of type UserInfo via a GET call getUserId()', () => {
    /*
        const userInfoTestPost: GraphUser =
        {
            id: "1",
        };


        spyOn(service, 'getUserId').and.returnValue(of(userInfoTestPost));

        service.getUserId().subscribe(userId => {
            expect(userId).toEqual(userInfoTestPost);
            httpMock.verify();
        })
        */
  });

  it('should create an observable of type UserStorage via a GET call getUserById(id: string)', () => {
    /*
        spyOn(service, 'getUserById').and.returnValue(of(userStorageTestPost));

        service.getUserById("1").subscribe(posts => {
            expect(posts).toEqual(userStorageTestPost);
            httpMock.verify();
        })
        */
  });

  it('should create an observable of type UserStorage via a POST call postUser(user: UserStorage)', () => {
    /*
        spyOn(service, 'add').and.returnValue(of(userStorageTestPost));
        service.add(userStorageTestPost).subscribe(posts => {
            expect(posts).toEqual(userStorageTestPost);
            httpMock.verify();
        })
        */
  });
});
