using MimeKit;
using System.Threading.Tasks;
using communicate_rental_backend_dev.Models.Common;

namespace communicate_rental_backend_dev.BusinessLogic.Services
{
    public interface IGraphService 
    {
        Task<MailboxAddress> GetEmailAsync(string userId);
        Task<string> GetUserId(string email);
        Task<string> GetUserName(string userId);
        Task<GraphUser> GetGraphUser(string userId);
    }
}