using Microsoft.Azure.Cosmos.Table;

namespace communicate_rental_backend_dev.Clients
{
    public static class TableStorageClientFactory
    {
        public static ITableStorageClient<T> Create<T>(string connectionString) where T : TableEntity, new()
        {
            // Table name equals name of db model
            string tableName = typeof(T).Name;

            return new TableStorageClient<T>(connectionString, tableName);
        }
    }
}