using System;
using System.ComponentModel.DataAnnotations;
using communicate_rental_backend_dev.Models.Common;

namespace communicate_rental_backend_dev.Models.DataReceiving
{
    public class ChecklistDRO
    {
        [Required]
        public string UserId  { get; set; }
        [Required]
        public string BookingId { get; set; }
        [Required]
        public string LocationTitle { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        [Required]
        public FilledChecklist[] ChecklistItems { get; set; }
        public string Comment { get; set; }
    }
}