using System;
using Microsoft.Azure.Cosmos.Table;

namespace communicate_rental_backend_dev.Models.Database
{
    public class Checklist : TableEntity
    {
        public string Id { get; set; }
        public string BookingId { get; set; }
        public string UserId  { get; set; }
        public string LocationTitle { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public string FilledChecklist { get; set; } // List of boolean values
        public string Comment { get; set; }
    }
}