export class Checklist {
  public userId: string;
  public bookingId: string;
  public locationTitle: string;
  public startDate: Date;
  public endDate: Date;
  public checklistItems: ChecklistItem[];
  public comment: string;
  constructor(
    userId: string,
    bookingId: string,
    englishTitle: string,
    startDate: Date,
    endDate: Date,
    checklistItems: ChecklistItem[],
    comment: string,
  ) {
    this.userId = userId;
    this.bookingId = bookingId;
    this.locationTitle = englishTitle;
    this.startDate = startDate;
    this.endDate = endDate;
    this.checklistItems = checklistItems;
    this.comment = comment;
  }
}

export class ChecklistItem {
  description: string;
  completed: boolean;
}

export class CompletedChecklist {
  public userName: string;
  public locationTitle: string;
  public startDate: Date;
  public endDate: Date;
  public filledChecklist: ChecklistItem[];
  public comment: string;
}
