// UserInfo found in database
export class SingleDbUser {
  public id: string;
  public points: number;
  public hiredDate: Date;
  public isAdmin: boolean;
}

// User info found in MSGraph
export class GraphUser {
  public id: string;
  public displayName: string;
}

// Combined user object for use in frontend
export class SingleUser {
  public id: string;
  public email: string;
  public name: string;
  public points: number;
  public isAdmin: boolean;
}

// User object for adding new users
export class NewUser {
  public email: string;
  public points: number;
  public hiredDate: Date;
  public isAdmin: boolean;
}
