import { Injectable } from '@angular/core';
import { Feedback } from '../models/feedback.model';
import { HttpService } from './http.service';

@Injectable()
export class FeedbackService {

  constructor(private httpService: HttpService) {}

  sendFeedback(feedback: Feedback) {
    return this.httpService.postObserveResponse('Feedback', feedback);
  }
}
